| Home | Libraries | People | FAQ | More

##### push_front

###### Prototype

    template<
        class Container,
        class SinglePassRange
        >
    Container& push_front(Container& target,
                          const SinglePassRange& from);

###### Description

`push_front` all of the elements in the range `from` to the front of the container `target`.

###### Definition

Defined in the header file `boost/range/algorithm_ext/push_front.hpp`

###### Requirements

1. `SinglePassRange` is a model of the Single Pass Range Concept.
2. `Container` supports insert at `begin()`.
3. `SinglePassRange`'s value type is convertible to `Container`'s value type.

###### Complexity

Linear. `distance(from)` assignments are performed.